@keyframes bg {
	100% {
		background-position: 0 -1024px;
	}
}

body {
	animation: bg 15s linear infinite;
	background-image: url("/img/bg/post.png");
}

.body {
	display: flex;
	margin-top: 12rem;
}

.content {
	flex: 1;
	min-width: 0;
}

.title {
	margin: .5rem;
	padding: .5rem;
	text-align: center;
	border-radius: 2rem 2rem 0 0;
	background-color: #FFFFFFDF;
}

main {
	margin: 0 1rem 0 1rem;
	padding: 1rem;
	background-color: #FFFFFFDF;
}

.cover {
	display: block;
	max-width: 100%;
	max-height: 32rem;
	margin: 1rem auto;
}

article {
	margin: 2rem 0;
	padding: 2rem;
	text-align: center;
	border-radius: 1rem;
	background: #FFFFBF;
	box-shadow: 0 0 1rem #7F7F7F;
}

article pre {
	font-family: inherit;
	margin: 1rem 0;
	white-space: pre-wrap;
	overflow-wrap: break-word;
}

article .writers {
	color: #00007F;
}

article .keywords {
	margin: 1rem 0;
	color: #3F3F3F;
}

summary {
	font-size: 1rem;
	font-weight: bold;
	padding: 1rem 1.25rem;
	cursor: pointer;
	transition: .25s;
	border-radius: 1rem;
	background-color: #FFFF7F;
}

summary:hover {
	background: #FFBF00;
}

.file {
	font-family: Vazir;
	font-size: 1rem;
	font-weight: bold;
	display: inline-block;
	margin: .25rem;
	padding: .5rem;
	cursor: pointer;
	transition: all .25s;
	text-decoration: none;
	color: #FFFFFF;
	border: none;
	border-radius: .5rem;
	outline: none;
	background-color: #007F00;
}

.file:hover {
	background-color: #009F00;
}

.file:active {
	background-color: #00BF00;
}

main .footer {
	width: 100%;
	margin-top: 1rem;
	padding-top: .5rem;
	text-align: center;
	border-top: #00003F 4px solid;
	border-radius: .25rem;
}

.user {
	overflow: auto;
	margin: 1rem 2rem 1rem 2rem;
	padding: 10px;
	border-radius: 0 0 2rem 2rem;
	background-color: #FFFFFF;
}

.user img {
	float: right;
	width: 128px;
	height: 128px;
	margin: .5rem;
	vertical-align: middle;
}

.sidebar {
	position: sticky;
	top: 1rem;
	display: flex;
	align-self: flex-start;
	flex-direction: column;
	width: 20rem;
	margin: .5rem;
	gap: 1rem;
}

.widget {
	padding: 1rem;
	transition: .5s;
	border-radius: 1rem;
	background: #FFFFFFDF;
	box-shadow: 0 0 2rem #FFFFFF7F;
	backdrop-filter: blur(.75rem);
}

.widget:hover {
	transform: translateY(-.25rem);
	box-shadow: 0 1rem 2rem #0000007F;
}

.widget h3 {
	font-weight: bold;
	position: relative;
	margin: 0 0 1rem;
	padding-bottom: .75rem;
	color: #3F7F3F;
}

.widget h3::after {
	position: absolute;
	right: 0;
	bottom: 0;
	width: 4rem;
	height: .25rem;
	content: "";
	border-radius: 4rem;
	background: #007F00;
}

.widget ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.widget li {
	margin-bottom: .5rem;
}

.widget li:last-child {
	margin-bottom: 0;
}

.widget a {
	display: block;
	padding: .75rem .75rem;
	transition: .3s;
	text-decoration: none;
	color: #3F7F3F;
	border-radius: .75rem;
	background: #FFFFFFBF;
}

.widget a:hover {
	padding-right: 1.25rem;
	color: #FFFFFF;
	background: #3F7F3F;
}

@media only screen and (max-width: 768px) {
	.body {
		display: block;
	}

	.sidebar {
		position: static;
		width: calc(100% - 1rem);
		margin-top: 1.25rem;
	}
}